X2Go Bug report logs - #877
x2go.x2go_exceptions.X2GoSessionRegistryException: No session found for UUID ...

version graph

Package: pyhoca-cli; Maintainer for pyhoca-cli is X2Go Developers <x2go-dev@lists.x2go.org>; Source for pyhoca-cli is src:pyhoca-cli.

Reported by: Michael DePaulo <mikedep333@gmail.com>

Date: Tue, 19 May 2015 11:15:02 UTC

Severity: minor

Found in version 0.5.0.2

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#877; Package pyhoca-cli. (Tue, 19 May 2015 11:15:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 19 May 2015 11:15:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: "submit@bugs.x2go.org" <submit@bugs.x2go.org>
Subject: x2go.x2go_exceptions.X2GoSessionRegistryException: No session found for UUID ...
Date: Tue, 19 May 2015 07:14:35 -0400
[Message part 1 (text/plain, inline)]
Package: pyhoca-cli
Version: 0.5.0.2
Severity: minor

Client OS: Fedora 22 64-bit (with latest updates. In beta, but about
to be released.)
pyhoca-cli 0.5.0.2-1.fc22 (Fedora's package)
python-x2go 0.5.0.3-1.fc22 (Fedora's package)

Server OS: Fedora 21 64-bit (with latest updates) running in a Docker container
DockerFile: https://github.com/mikedep333/Fedora-Dockerfiles/blob/add-x2go/x2go/x2go-minimal/Dockerfile
x2goserver 4.0.1.19-1.fc21 (Fedora's package)
x2goserver-xsession 4.0.1.19-1.fc21 (Fedora's package)
nxagent 3.5.0.29-1.fc21 (Fedora's package)
x2goagent 3.5.0.29-1.fc21 (Fedora's package)
Note: Even if you are unfamiliar with Docker, you should be able to
make sense of the Dockerfile. Note that it is based on the "fedora"
image, which is a very minimal install of Fedora. Also note that
"start.sh" simply adds a user account named "user" with a fixed
password.

When I connect to a new TERMINAL session (which defaults to
lxterminal), the session appears to work fine. However, at the end, I
often receive an exception like:
x2go.x2go_exceptions.X2GoSessionRegistryException: No session found
for UUID a2f17c6e-fe14-11e4-8e21-001a4a1bd601

I am using this command to connect:
pyhoca-cli --server 127.0.0.1 -p 50000 -N --user user
--add-to-known-hosts --libdebug --debug

See attachment for output.

This bug is reproducible, but not 100% of the time. It seems to be
related to timing. It is usually reproduced when I leave lxterminal
open for 10 seconds. (I close lxterminal by typing "exit" or clicking
the X in the window decoration.) It is usually NOT reproduced when I
leave lxterminal open for 2 seconds.
[pyhoca-cli output without bug.txt (text/plain, attachment)]
[pyhoca-cli output with bug.txt (text/plain, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#877; Package pyhoca-cli. (Mon, 15 Jan 2024 20:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 15 Jan 2024 20:40:02 GMT) (full text, mbox, link).


Message #10 received at 877@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Michael DePaulo <mikedep333@gmail.com>, 877@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#877: x2go.x2go_exceptions.X2GoSessionRegistryException: No session found for UUID ...
Date: Mon, 15 Jan 2024 20:38:18 +0000
[Message part 1 (text/plain, inline)]
Control: close -1

On  Di 19 Mai 2015 13:14:35 CEST, Michael DePaulo wrote:

> Package: pyhoca-cli
> Version: 0.5.0.2
> Severity: minor
>
> Client OS: Fedora 22 64-bit (with latest updates. In beta, but about
> to be released.)
> pyhoca-cli 0.5.0.2-1.fc22 (Fedora's package)
> python-x2go 0.5.0.3-1.fc22 (Fedora's package)
>
> Server OS: Fedora 21 64-bit (with latest updates) running in a  
> Docker container
> DockerFile:  
> https://github.com/mikedep333/Fedora-Dockerfiles/blob/add-x2go/x2go/x2go-minimal/Dockerfile
> x2goserver 4.0.1.19-1.fc21 (Fedora's package)
> x2goserver-xsession 4.0.1.19-1.fc21 (Fedora's package)
> nxagent 3.5.0.29-1.fc21 (Fedora's package)
> x2goagent 3.5.0.29-1.fc21 (Fedora's package)
> Note: Even if you are unfamiliar with Docker, you should be able to
> make sense of the Dockerfile. Note that it is based on the "fedora"
> image, which is a very minimal install of Fedora. Also note that
> "start.sh" simply adds a user account named "user" with a fixed
> password.
>
> When I connect to a new TERMINAL session (which defaults to
> lxterminal), the session appears to work fine. However, at the end, I
> often receive an exception like:
> x2go.x2go_exceptions.X2GoSessionRegistryException: No session found
> for UUID a2f17c6e-fe14-11e4-8e21-001a4a1bd601
>
> I am using this command to connect:
> pyhoca-cli --server 127.0.0.1 -p 50000 -N --user user
> --add-to-known-hosts --libdebug --debug
>
> See attachment for output.
>
> This bug is reproducible, but not 100% of the time. It seems to be
> related to timing. It is usually reproduced when I leave lxterminal
> open for 10 seconds. (I close lxterminal by typing "exit" or clicking
> the X in the window decoration.) It is usually NOT reproduced when I
> leave lxterminal open for 2 seconds.

I haven't see this issue around for a while. Please reopen at  
https://gitlab.x2go.org/client/libs/python-x2go, if still reproducible.

@mikedep333: Hope you are doing well!!!

Mike

-- 

DAS-NETZWERKTEAM
c\o Technik- und Ökologiezentrum Eckernförde
Mike Gabriel, Marienthaler Str. 17, 24340 Eckernförde
mobile: +49 (1520) 1976 148
landline: +49 (4351) 850 8940

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 877-submit@bugs.x2go.org. (Mon, 15 Jan 2024 20:40:02 GMT) (full text, mbox, link).


Notification sent to Michael DePaulo <mikedep333@gmail.com>:
Bug acknowledged by developer. (Mon, 15 Jan 2024 20:40:02 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 13 Feb 2024 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Jun 22 11:56:19 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.